Subject: bug#44604: 27.1; gpg error when language environment is set to Turkish

From: Fatih Aydin <[email-masked]>
Date: Sat, 14 Nov 2020 19:31:56 +0000

To make sure that it will solve the problem, I have applied the solution
you suggested.
Copied the source and changed '^direct' to '^DIRECT' and builded.

The proxy problem is solved, but the package-install gpg problem I
mentioned (Error while verifying signature archive-contents.sig:) is still
there.

Also I found another weird bug related to this:
with English language environment visit 'https://www.google.com.tr' using
eww, you will see the Turkish characters correctly.
with Turkish language environment, do the same thing, you will see weird
characters instead of Turkish characters.

On Sat, Nov 14, 2020 at 5:51 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Fatih Aydin <[email-masked]>
> > Date: Sat, 14 Nov 2020 17:09:54 +0000
> > Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> >
> > Step 1: Run 'emacs -Q'
> > Step 2: M-x and type 'set-language-environment'. Write the value
> 'Turkish'.
> > Step 3: M-x and 'eww'. Try to visit 'google.com' or any website you
> want.
> >
> > That's all, you'll get a couple of 'Emergency (url): Unknown proxy
> directive: DIRECT'
>
> The problem is in url-proxy.el: url-default-find-proxy-for-url returns
> "DIRECT", but url-find-proxy-for-url tests for "^direct":
>
>     (cond
>      ((string-match "^direct" proxy) nil)
>
> url-find-proxy-for-url binds case-fold-search to t, believing that
> this would take care of the case difference, but that is false for
> Turkish, because under the Turkish language-environment, we get:
>
>   (downcase ?I) => ?ı
>
> IOW, 'I' downcases into the dotless i.
>
> Does anyone understand why url-proxy insists on using the likes of
> "^direct" instead of "^DIRECT", i.e. why it doesn't match the case as
> well?
>